#pragma once

struct workMode
{
	TCHAR       chInM{_T('A')};  // формат входного файла
	TCHAR       chOutM{_T('A')}; // формат выходного файла
	int         nTabWidth{4};
	bool        bRecursive{false};
	fs::path    strInFileName;
	fs::path    strOutFileName;
	workMode() = default;
};

namespace ITCPC
{
	void        Usage();
	void        PrintVersion();
	void        Process(const fs::path &file);
	bool        CheckInputParams();
	std::_tstring GetFormatName(const TCHAR ch);
	void        MakeOutName();
}
